EN:Mysql564 Mariadb1005

Theodor van Nahl edited this page Aug 24, 2018 · 1 revision

Migration to MySQL 5.6.4+ or Mariadb 10.0.5+

The mentioned versions of the databases did gain some features that where previously not available. Due to that change importing an older database dump is not enough, you need to let Tine20 generate those missing features. Here's what you need to do in order to upgrade your database:

  1. Backup the older running database with mysqldump -u root tine20 -p > tine20.sql
  2. Install MySQL version 5.6.4 (or newer) or install Mariadb 10.0.5 (or newer)
  3. Create the database and user for Tine20 on that newer instance.
  4. Import the previously created dump with mysql -u root tine20 -p < tine20.sql
  5. Run php setup.php --upgradeMysql564

Congratulations, you're done!

You can’t perform that action at this time.
You signed in with another tab or window. Reload to refresh your session. You signed out in another tab or window. Reload to refresh your session.
Press h to open a hovercard with more details.